function fnsing(nomfifs,affnfi,driver,param,typf,taicar)
%function fnsing(nomfifs,affnfi,driver,param,typf,taicar)
%
% Representation graphique des fonctions singulieres angulaires
% ou de la partie angulaire des contraintes associees a chaque exposant
% de singularite.
% Un exposant de singularite donne lieu a une seule figure ou sont
% regroupees les M fonctions associees, M multiplicite de l'exposant.
%
% ENTREES
%  nomfifs : nom du fichier contenant les valeurs des fonctions
%  affnfi  : vaut 1 pour afficher le nom du fichier, 0 sinon
%  driver  : nom du driver pour creer un fichier de sortie (option de la
%            commande print) ; vaut '' si pas de sortie souhaitee.
%  param   : vaut 1 pour afficher le parametre de calcul, 0 sinon
%  typf   : typf(1) = type de fonction a tracer ; vaut
%             . 1 pour une fonction singuliere
%             . 2 pour les contraintes
%           typf(2) = type de coordonnees a utiliser pour tracer les deux
%                     premieres composantes de f ; vaut
%             . 1 pour les coordonnees cartesiennes (valeur par defaut)
%             . 2 pour les coordonnees polaires
%  taicar  : taille des caracteres (en points) pour les legendes

[fifs, message] = fopen(nomfifs);
if (fifs < 0) error([message,' (fichier ',nomfifs,')']), end
point=min(find(nomfifs=='.'));
ext = nomfifs(point+1:length(nomfifs));
%
[omega,pts,nu,multi,dim,sseprc,parcou,nomfic,ok]=lpctrl(fifs);
if affnfi, nfic = nomfic; else nfic = []; end
while ok ~= 0
% Trace de la (des) fonction(s) singuliere(s) ou des contraintes
% relative(s) a l'exposant nu suivant.
 nbpts = sum(pts);
 if param, titpar = ['P = ',num2str(parcou,6)]; else, titpar = ''; end
%
 figure
 for m=1:multi
  mat  = fscanf(fifs,'%g',[2*dim+1 nbpts]);
  t = mat(1,:);
  f = zeros(dim,size(mat,2));
  for k=1:dim
   f(k,:) = mat(2*k,:) + i*mat(2*k+1,:);
  end
  valnu = trfs(t,f,omega,nu,multi,sseprc,m,nfic,titpar,typf,taicar);
 end
 printps(parcou,nomfic,ext,valnu,multi,driver)
 [omega,pts,nu,multi,dim,sseprc,parcou,nomfic,ok]=lpctrl(fifs);
end
fclose(fifs);
